------------------------------------------------------------------------------------
--Name:  	juqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-10-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(176, 530)
CppScriptMgr:ShakeScrEffect(1)
local Player_1 = CppScriptMgr:AddSimplePlayer(1051614, 175, 511, "MysteryMan", 0, 0)
Player_1:SetDir(4)
local Effect_1 = CppScriptMgr:AddEffect("zf2-e233", 176, 530, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetPos(176, 530)
Player_2:SetCtrlMapView(1)
Player_2:SetDir(4)
CppScriptMgr:WaitMilSec(430)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(70)
Player_2:Say("What is this place...", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("It seems there`s someone ahead... Go check it out!", 1500)
Player_2:SetAction(190)
CppScriptMgr:WaitMilSec(1460)
Player_2:RunTo(176, 517)
CppScriptMgr:WaitMilSec(1450)
Player_2:SetCtrlMapView(0)
CppScriptMgr:SetViewPosByCell(177, 504)
Player_1:Say("Hahaha! I did it!", 1500)
Player_1:SetAction(150)
CppScriptMgr:WaitMilSec(1460)
Player_1:SetAction(101)
Player_1:Say("Evil Dragon! Come forth!", 1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:ShakeScrEffect(1)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e233", 177, 504, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_2 = CppScriptMgr:AddEffect("taoist-huohuan", 177, 504, 33, 1, 1, 1)
local Player_3 = CppScriptMgr:AddPlayer(191, 177, 504, "EvilDragon", 0, 0)
Player_3:SetZoomPercent(5)
CppScriptMgr:WaitMilSec(140)
ChangeNpcZoom(Player_3, 5, 150, 10, 33)
CppScriptMgr:WaitMilSec(1830)
Player_1:Say("Go! Go and destroy!", 1000)
CppScriptMgr:ShakeScrEffect(3)
Player_3:SetAction(401)
CppScriptMgr:WaitMilSec(950)
local Effect_4 = CppScriptMgr:AddEffect("bombarrow", 177, 504, 33, 1, 1, 1)
Effect_4:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(2000)